Copyright: Copyright's by Fabula Software
Citation: This is a Produkt of Fabula Software


xProcs
Unit xProcs

Information

Unit

xProcs.pas

Description

xProcs is a huge collection of functions and procedures which help the developer to get the max out of Delphi. It’ve about two thousands (!) downloads on compuserve and is one of the richest collection on the net. And the best it’s absolutly free ! You can also get a complete help file for it. Look under Information for more details.

Functions that can be used only under Win32 are indicated with a “Win32” in the header.

Types

Types that are defined by xProcs

Constants

Constants that defined by xProcs

Variables

Variables that are defined by xProcs

Methods

Methods defined by xProcs group by theme.

Bit Handling:

bitSet	bitOn	bitOff
bitToggle
String Handling:

strHash	strCut	strTrim
strTrimA	strTrimChA	strTrimChL
strTrimChR	strLeft	strLower
strMake	strPadChL	strPadChR
strPadChC	strPadL	strPadR
strPadC	strPadZeroL	strChange
strRight	strAddSlash	strDelSlash
strSpace	strToken	strTokenCount
strTokenAt	strTokenToStrings	strTokenFromStrings
strUpper	strOemAnsi	strAnsiOem
strEqual	strComp	strCompU
strContains	strContainsU	strNiceNum
strNiceDateDefault	strNiceDate	strNiceTime
strNicePhone	strReplace	strCmdLine
strEncrypt	strDecrypt	strLastCh
strStripLast	strByteSize	strSoundex
strSearchReplace	strProfile	strCapitalize
strDebug	strFileLoad	strFileSave
Integer Handling:

intCenter	intMax	intMin
intPow	intPow10	intSign
intZero	intPrime	intPercent
Floatingpoint Handling:

fltAdd	fltDiv	fltEqual
fltEqualZero	fltGreaterZero	fltLessZero
fltNeg	fltMul	fltRound
fltSub	fltUnEqualZero	fltCalc
fltPower	fltPositiv	fltNegativ
Rectangle Handling:

rectHeight	rectWidth	rectGrow
rectRelativeMove	rectSet	rectMoveTo
rectInclude	rectPoint	rectSetPoint
rectIntersection	rectIsIntersection	rectIsValid
rectsAreValid	rectNull	rectIsNull
rectIsSquare	rectCentralPoint	rectBounds
Variant Handling:

varIIF	varDebug	varToStr
Date Handling:

dateYear	dateMonth	dateDay
dateBeginOfYear	dateEndOfYear	dateBeginOfMonth
dateEndOfMonth	dateWeekOfYear	dateDayOfWeek
dateDayOfYear	dateLeapYear	dateBeginOfQuarter
dateEndOfQuarter	dateBeginOfWeek	dateDaysInMonth
dateQuicken
Time Handling:

timeHour	timeMin	timeSec
timeToInt	timeZoneOffset
Communication Handling:

comIsCis	comIsInt	comCisToInt
comIntToCis	comFaxToCis	comNormFax
comNormPhone	comNormInt	comNormCis
Communication Handling:

fileShredder	fileSize	fileWildcard
fileShellOpen	fileShellPrint	fileTemp
fileExec	fileLongName	fileShortName
ExtractName
System Handling:

sysTempPath	sysDelay	sysBeep
sysColorDepth	sysSaverRunning
Registry Handling:

regReadString	regWriteString	regDelValue
regInfoString	regCurrentUser	regCurrentCompany
regWriteShellExt	regKeyList	regValueExist
regWriteValue	regReadValue	regValueList
Dialog Handling:

Question	Information	Confirmation

Classes

xProcs also contains some smart classes makes the programmers life a little easier

TSystemMetric	TPersistentRect	TPersistentRegistry


Information

Information about the product, how to order, etc.

This unit is programmed by Stefan Böther (also known as Stefc) and is distributed by Fabula as part of the xTools collection. The unit itself is for free and can be give away to anybody. But to get some money back for the work I’ve made I sell the help file that describe each function of the xProcs for only $10 to you. With this help file you can use the xProcs even better. It contains

Order

If you’ve acces to CompuServe the easiest way to register the program is to GO SWREG and use the Id 5763. After the registration please also write a small eMail to Stefc (100023,275) and tell him that you’ve order the help of xProcs. You’ll get the helpfile via eMail than.

If you don’t have access to CompuServe send a check to Stefc at his adress. If you’re located in the European community, it’s easier to use a “Eurocheck”. Use the current US $ exchange for your local currency.

xTools

If you order xTools product from Fabula you can subtract the money for the helpfile from the total price. To do this you must tell Fabula that you have register this component. For order xTools look at your local tool vendor.

Development

Fabula Software GmbH	Tel. ++49 (4131) 55 041

Schützenstr. 26	Fax. ++49 (4131) 52 495

21337 Lüneburg	Web  http://www.fabula.com

=Germany=	eMail info@fabula.com

Author

Stefan Böther	Tel. ++49 (40) 40 170 386

Methfesselstr. 38	Fax. ++49 (40) 40 170 387

20257 Hamburg	eMail stefc@compuserve.com

=Germany=	CompuServe 100023,275


xProcs variables

Unit

xProcs

Declaration

IsWin95,

IsWinNT   : Boolean;

IsFabula  : TLicCallBack;

xLanguage : Integer;

xLangOfs  : Integer;

SysMetric : TSystemMetric;

Description

This is only a demo help. Look under Information to see how to get the complete help.


xProcs types

Unit

xProcs

Declaration

Float = Extended;

{$IFDEF Win32}

 Int_  = Integer;

{$ELSE}

 Int_  = Longint;

{$ENDIF}

TMonth        = (NoneMonth,January,February,

                 March,April,May,June,July,

                 August,September,October,

                 November,December);

TDayOfWeek    = (Sunday,Monday,Tuesday,Wednesday,

                 Thursday,Friday,Saturday);

{ Online eMail Service Provider }

TMailProvider = (mpCServe, mpInternet, mpNone);

TLicCallback  = function ( var Code: Integer): Integer;

TBit          = 0..31;

{ Search and Replace options }

TSROption     = (srWord,srCase,srAll);

TSROptions    = set of TsrOption;

{ Data types }

TDataType     = (dtInteger,dtBoolean,dtString,

              dtDate,dtTime,dtFloat,dtCurrency);

Description

This is only a demo help. Look under Information to see how to get the complete help.


xProcs constants

Unit

xProcs

Declaration

XCOMPANY        = 'Fabula Software';

{ several important ASCII codes }

NULL            =  #0;

BACKSPACE       =  #8;

TAB             =  #9;

LF              = #10;

CR              = #13;

EOF_            = #26;

ESC             = #27;

BLANK           = #32;

SPACE           = BLANK;

{ digits as chars }

ZERO   = '0';  ONE  = '1';  TWO    = '2';  THREE  = '3';  FOUR  = '4';

FIVE   = '5';  SIX  = '6';  SEVEN  = '7';  EIGHT  = '8';  NINE  = '9';

{ special codes }

SLASH           = '\';     { used in filenames }

HEX_PREFIX      = '$';     { prefix for hexnumbers }

CRLF            : PChar = CR+LF;

{ common computer sizes }

KBYTE           = Sizeof(Byte) shl 10;

MBYTE           = KBYTE        shl 10;

GBYTE           = MBYTE        shl 10;

{ Low floating point value }

FLTZERO         : Float = 0.00000001;

DIGITS          : set of Char = [ZERO..NINE];

{ important registry keys / items }

REG_CURRENT_VERSION = 'Software\Microsoft\Windows\CurrentVersion';

REG_CURRENT_USER    = 'RegisteredOwner';

REG_CURRENT_COMPANY = 'RegisteredOrganization';

PRIME_16       = 65521;

PRIME_32       = 2147483647;

MINSHORTINT    = -128;

MAXSHORTINT    =  127;

MINBYTE        =  0;

MAXBYTE        =  255;

MINWORD        =  0;

MAXWORD        =  65535;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strHash

Unit

xProcs

Declaration

function  strHash(const S: String; LastBucket: Integer): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strCut

Unit

xProcs

Declaration

function  strCut(const S: String; Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strTrim

Unit

xProcs

Declaration

function  strTrim(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strTrimA

Unit

xProcs

Declaration

function  strTrimA(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strTrimChA

Unit

xProcs

Declaration

function  strTrimChA(const S: String; C: Char): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strTrimChL

Unit

xProcs

Declaration

function  strTrimChL(const S: String; C: Char): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strTrimChR

Unit

xProcs

Declaration

function  strTrimChR(const S: String; C: Char): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strLeft

Unit

xProcs

Declaration

function  strLeft(const S: String; Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strLower

Unit

xProcs

Declaration

function  strLower(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strMake

Unit

xProcs

Declaration

function  strMake(C: Char; Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strPadChL

Unit

xProcs

Declaration

function  strPadChL(const S: String; C: Char; Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strPadChR

Unit

xProcs

Declaration

function  strPadChR(const S: String; C: Char; Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strPadChC

Unit

xProcs

Declaration

function  strPadChC(const S: String; C: Char; Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strPadL

Unit

xProcs

Declaration

function  strPadL(const S: String; Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strPadR

Unit

xProcs

Declaration

function  strPadR(const S: String; Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strPadC

Unit

xProcs

Declaration

function  strPadC(const S: String; Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strPadZeroL

Unit

xProcs

Declaration

function  strPadZeroL(const S: String; Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure strChange

Unit

xProcs

Declaration

procedure strChange(var S:String; const Source, Dest: String);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strRight

Unit

xProcs

Declaration

function  strRight(const S: String; Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strAddSlash

Unit

xProcs

Declaration

function  strAddSlash(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strDelSlash

Unit

xProcs

Declaration

function  strDelSlash(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strSpace

Unit

xProcs

Declaration

function  strSpace(Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strToken

Unit

xProcs

Declaration

function  strToken(var S: String; Seperator: Char): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strTokenCount

Unit

xProcs

Declaration

function  strTokenCount(S: String; Seperator: Char): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strTokenAt

Unit

xProcs

Declaration

function  strTokenAt(const S:String; Seperator: Char; At: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure strTokenToStrings

Unit

xProcs

Declaration

procedure strTokenToStrings(S: String; Seperator: Char; List: TStrings);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strTokenFromStrings

Unit

xProcs

Declaration

function  strTokenFromStrings(Seperator: Char; List: TStrings): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strUpper

Unit

xProcs

Declaration

function  strUpper(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strOemAnsi

Unit

xProcs

Declaration

function  strOemAnsi(const S:String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strAnsiOem

Unit

xProcs

Declaration

function  strAnsiOem(const S:String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strEqual

Unit

xProcs

Declaration

function  strEqual(const S1,S2: String): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strComp

Unit

xProcs

Declaration

function  strComp(const S1,S2: String): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strCompU

Unit

xProcs

Declaration

function  strCompU(const S1,S2: String): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strContains

Unit

xProcs

Declaration

function  strContains(const S1,S2: String): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strContainsU

Unit

xProcs

Declaration

function  strContainsU(const S1,S2: String): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strNiceNum

Unit

xProcs

Declaration

function  strNiceNum(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strNiceDateDefault

Unit

xProcs

Declaration

function  strNiceDateDefault(const S, Default: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strNiceDate

Unit

xProcs

Declaration

function  strNiceDate(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strNiceTime

Unit

xProcs

Declaration

function  strNiceTime(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strNicePhone

Unit

xProcs

Declaration

function  strNicePhone(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strReplace

Unit

xProcs

Declaration

function  strReplace(const S: String; C: Char; const Replace: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strCmdLine

Unit

xProcs

Declaration

function  strCmdLine: String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strEncrypt

Unit

xProcs

Declaration

function  strEncrypt(const S: String; Key: Word): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strDecrypt

Unit

xProcs

Declaration

function  strDecrypt(const S: String; Key: Word): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strLastCh

Unit

xProcs

Declaration

function  strLastCh(const S: String): Char;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strStripLast

Unit

xProcs

Declaration

procedure strStripLast(var S: String);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strByteSize

Unit

xProcs

Declaration

function  strByteSize(Value: Longint): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strSoundex

Unit

xProcs

Declaration

function  strSoundex(S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strSearchReplace

Unit

xProcs

Declaration

procedure strSearchReplace(var S:String; const Source, Dest: String; Options: TSRoptions);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strProfile

Unit

xProcs

Declaration

function  strProfile(const aFile, aSection, aEntry, aDefault: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strCapitalize

Unit

xProcs

Declaration

function  strCapitalize(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure strDebug

Unit

xProcs

Declaration

procedure strDebug (const S: String);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function strFileLoad Win32

Unit

xProcs

Declaration

function  strFileLoad(const aFile: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure strFileSave Win32

Unit

xProcs

Declaration

procedure strFileSave(const aFile,aString: String);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function bitSet

Unit

xProcs

Declaration

function bitSet(const Value: Int_; const TheBit: TBit): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function bitOn

Unit

xProcs

Declaration

function bitOn(const Value: Int_; const TheBit: TBit): Int_;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function bitOff

Unit

xProcs

Declaration

function bitOff(const Value: Int_; const TheBit: TBit): Int_;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function bitToggle

Unit

xProcs

Declaration

function bitToggle(const Value: Int_; const TheBit: TBit): Int_;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function intCenter

Unit

xProcs

Declaration

function  intCenter(a,b: Int_): Int_;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function intMax

Unit

xProcs

Declaration

function  intMax(a,b: Int_): Int_;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function intMin

Unit

xProcs

Declaration

function  intMin(a,b: Int_): Int_;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function intPow

Unit

xProcs

Declaration

function  intPow(Base,Expo: Integer): Int_;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function intPow10

Unit

xProcs

Declaration

function  intPow10(Exponent: Integer): Int_;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function intSign

Unit

xProcs

Declaration

function  intSign(a: Int_): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function intZero

Unit

xProcs

Declaration

function  intZero(a: Int_; Len: Integer): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function intPrime

Unit

xProcs

Declaration

function  intPrime(Value: Integer): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function intPercent

Unit

xProcs

Declaration

function  intPercent(a, b: Int_): Int_;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltAdd

Unit

xProcs

Declaration

function  fltAdd(P1,P2: Float; Decimals: Integer): Float;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltDiv

Unit

xProcs

Declaration

function  fltDiv(P1,P2: Float; Decimals: Integer): Float;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltEqual

Unit

xProcs

Declaration

function  fltEqual(P1,P2: Float; Decimals: Integer): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltEqualZero

Unit

xProcs

Declaration

function  fltEqualZero(P: Float): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltGreaterZero

Unit

xProcs

Declaration

function  fltGreaterZero(P: Float): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltLessZero

Unit

xProcs

Declaration

function  fltLessZero(P: Float): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltNeg

Unit

xProcs

Declaration

function  fltNeg(P: Float; Negate: Boolean): Float;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltMul

Unit

xProcs

Declaration

function  fltMul(P1,P2: Float; Decimals: Integer): Float;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltRound

Unit

xProcs

Declaration

function  fltRound(P: Float; Decimals: Integer): Float;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltSub

Unit

xProcs

Declaration

function  fltSub(P1,P2: Float; Decimals: Integer): Float;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltUnEqualZero

Unit

xProcs

Declaration

function  fltUnEqualZero(P: Float): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltCalc

Unit

xProcs

Declaration

function  fltCalc(const Expr: String): Float;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltPower

Unit

xProcs

Declaration

function  fltPower(a,n: Float): Float;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltPositiv

Unit

xProcs

Declaration

function  fltPositiv(Value: Float): Float;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fltNegativ

Unit

xProcs

Declaration

function  fltNegativ(Value: Float): Float;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectHeight

Unit

xProcs

Declaration

function  rectHeight(const R: TRect): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectWidth

Unit

xProcs

Declaration

function  rectWidth(const R: TRect): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure rectGrow

Unit

xProcs

Declaration

procedure rectGrow(var R: TRect; Delta: Integer);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure rectRelativeMove

Unit

xProcs

Declaration

procedure rectRelativeMove(var R: TRect; DX, DY: Integer);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure rectMoveTo

Unit

xProcs

Declaration

procedure rectMoveTo(var R: TRect; X, Y: Integer);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectSet

Unit

xProcs

Declaration

function  rectSet(Left, Top, Right, Bottom: Integer): TRect;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectInclude

Unit

xProcs

Declaration

function  rectInclude(const R1, R2: TRect): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectPoint

Unit

xProcs

Declaration

function  rectPoint(const R: TRect; P: TPoint): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectSetPoint

Unit

xProcs

Declaration

function  rectSetPoint(const TopLeft, BottomRight: TPoint): TRect;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectIntersection

Unit

xProcs

Declaration

function  rectIntersection(const R1, R2: TRect): TRect;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectIsIntersection

Unit

xProcs

Declaration

function  rectIsIntersection(const R1, R2: TRect): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectIsValid

Unit

xProcs

Declaration

function  rectIsValid(const R: TRect): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectsAreValid

Unit

xProcs

Declaration

function  rectsAreValid(const Arr: array of TRect): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectNull

Unit

xProcs

Declaration

function  rectNull: TRect;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectIsNull

Unit

xProcs

Declaration

function  rectIsNull(const R: TRect): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectIsSquare

Unit

xProcs

Declaration

function  rectIsSquare(const R: TRect): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectCentralPoint

Unit

xProcs

Declaration

function  rectCentralPoint(const R: TRect): TPoint;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function rectBounds

Unit

xProcs

Declaration

function  rectBounds(aLeft,aTop,aWidth,aHeight: Integer): TRect;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function varIIF  Win32

Unit

xProcs

Declaration

function  varIIF( aTest: Boolean; TrueValue, FalseValue : Variant): Variant;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure varDebug  Win32

Unit

xProcs

Declaration

procedure varDebug(const V: Variant);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function varToStr  Win32

Unit

xProcs

Declaration

function  varToStr(const V: Variant): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateYear

Unit

xProcs

Declaration

function  dateYear(D: TDateTime): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateMonth

Unit

xProcs

Declaration

function  dateMonth(D: TDateTime): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateDay

Unit

xProcs

Declaration

function  dateDay(D: TDateTime): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateBeginOfYear

Unit

xProcs

Declaration

function  dateBeginOfYear(D: TDateTime): TDateTime;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateEndOfYear

Unit

xProcs

Declaration

function  dateEndOfYear(D: TDateTime): TDateTime;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateBeginOfMonth

Unit

xProcs

Declaration

function  dateBeginOfMonth(D: TDateTime): TDateTime;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateEndOfMonth

Unit

xProcs

Declaration

function  dateEndOfMonth(D: TDateTime): TDateTime;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateWeekOfYear

Unit

xProcs

Declaration

function  dateWeekOfYear(D: TDateTime): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateDayOfYear

Unit

xProcs

Declaration

function  dateDayOfYear(D: TDateTime): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateDayOfWeek

Unit

xProcs

Declaration

function  dateDayOfWeek(D: TDateTime): TDayOfWeek;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateLeapYear

Unit

xProcs

Declaration

function  dateLeapYear(D: TDateTime): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateBeginOfQuarter

Unit

xProcs

Declaration

function  dateBeginOfQuarter(D: TDateTime): TDateTime;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateEndOfQuarter

Unit

xProcs

Declaration

function  dateEndOfQuarter(D: TDateTime): TDateTime;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateBeginOfWeek

Unit

xProcs

Declaration

function  dateBeginOfWeek(D: TDateTime;Weekday: Integer): TDateTime;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateDaysInMonth

Unit

xProcs

Declaration

function  dateDaysInMonth(D: TDateTime): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function dateQuicken

Unit

xProcs

Declaration

function  dateQuicken(D: TDateTime; Key: Char): TDateTime;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function timeHour

Unit

xProcs

Declaration

function timeHour(T: TDateTime): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function timeMin

Unit

xProcs

Declaration

function  timeMin(T: TDateTime): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function timeSec

Unit

xProcs

Declaration

function  timeSec(T: TDateTime): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function timeToInt

Unit

xProcs

Declaration

function  timeToInt(T: TDateTime): Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function timeZoneOffset  Win32

Unit

xProcs

Declaration

function  timeZoneOffset: Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function comIsCis

Unit

xProcs

Declaration

function  comIsCis(const S: String): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function comIsInt

Unit

xProcs

Declaration

function  comIsInt(const S: String): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function comCisToInt

Unit

xProcs

Declaration

function  comCisToInt(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function comIntToCis

Unit

xProcs

Declaration

function  comIntToCis(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function comFaxToCis

Unit

xProcs

Declaration

function  comFaxToCis(const S: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function comNormFax

Unit

xProcs

Declaration

function  comNormFax(const Name,Fax: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function comNormPhone

Unit

xProcs

Declaration

function  comNormPhone(const Phone: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function comNormInt

Unit

xProcs

Declaration

function  comNormInt(const Name,Int: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function comNormCis

Unit

xProcs

Declaration

function  comNormCis(const Name,Cis: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fileShredder

Unit

xProcs

Declaration

procedure fileShredder(const Filename: String);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fileSize

Unit

xProcs

Declaration

function  fileSize(const Filename: String): Longint;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fileWildcard

Unit

xProcs

Declaration

function  fileWildcard(const Filename: String): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fileShellOpen

Unit

xProcs

Declaration

function  fileShellOpen(const aFile: String): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fileShellPrint

Unit

xProcs

Declaration

function  fileShellPrint(const aFile: String): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fileTemp

Unit

xProcs

Declaration

function  fileTemp(const aExt: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fileExec Win32

Unit

xProcs

Declaration

function  fileExec(const aCmdLine: String; aHide, aWait: Boolean): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fileLongName Win32

Unit

xProcs

Declaration

function  fileLongName(const aFile: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function fileShortName Win32

Unit

xProcs

Declaration

function  fileShortName(const aFile: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function ExtractName

Unit

xProcs

Declaration

function  ExtractName(const Filename: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function sysTempPath

Unit

xProcs

Declaration

function  sysTempPath:String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure sysDelay

Unit

xProcs

Declaration

procedure sysDelay(aMs: Longint);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure sysBeep

Unit

xProcs

Declaration

procedure sysBeep;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function sysColorDepth

Unit

xProcs

Declaration

function  sysColorDepth: Integer;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure sysSaverRunning

Unit

xProcs

Declaration

procedure sysSaverRunning(Active: Boolean);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function regReadString Win32

Unit

xProcs

Declaration

function  regReadString(aKey: hKey; const Path: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure regWriteString Win32

Unit

xProcs

Declaration

procedure regWriteString(aKey: hKey; const Path,Value: String);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure regDelValue Win32

Unit

xProcs

Declaration

procedure regDelValue(aKey: hKey; const Path: String);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function regInfoString Win32

Unit

xProcs

Declaration

function  regInfoString(const Value: String): String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function regCurrentUser Win32

Unit

xProcs

Declaration

function  regCurrentUser: String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function regCurrentCompany  Win32

Unit

xProcs

Declaration

function  regCurrentCompany: String;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure regWriteShellExt  Win32

Unit

xProcs

Declaration

procedure regWriteShellExt(const aExt,aCmd,aMenu,aExec: String);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure regKeyList Win32

Unit

xProcs

Declaration

procedure regKeyList(aKey: HKEY; const Path:String; var aValue: TStringList);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function regValueExist Win32

Unit

xProcs

Declaration

function  regValueExist(aKey: HKEY; const Path:String):Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function regWriteValue Win32

Unit

xProcs

Declaration

function  regWriteValue(aKey: HKEY; const Path: String; Value: Variant; Typ: TDataType): Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function regReadValue Win32

Unit

xProcs

Declaration

function  regReadValue(aKey:HKEY; const Path:String; Typ: TDataType): Variant;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure regValueList Win32

Unit

xProcs

Declaration

procedure regValueList(aKey: HKEY; const Path:String; var aValue: TStringList);


Function Question

Unit

xProcs

Declaration

function  Question(const Msg: String):Boolean;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Procedure Information

Unit

xProcs

Declaration

procedure Information(const Msg: String);

Description

This is only a demo help. Look under Information to see how to get the complete help.


Function Confirmation

Unit

xProcs

Declaration

function  Confirmation(const Msg: String): Word;

Description

This is only a demo help. Look under Information to see how to get the complete help.


Class TSystemMetric

Unit

xProcs

Declaration

Description

This is only a demo help. Look under Information to see how to get the complete help.


Class TPersistentRect

Unit

xProcs

Declaration

Description

This is only a demo help. Look under Information to see how to get the complete help.


Class TPersistentRegistry Win32

Unit

xProcs

Declaration

Description

This is only a demo help. Look under Information to see how to get the complete help.